using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.EventSystems;

public class SceneDataHolder : MonoBehaviour
{
    public Transform trailCollidersParent;
    public GameObject deadScreen;
    public EventTrigger boostBtn;
    void Awake()
    {
        SceneData.holder = this;
    }

    public void OnBoostUp(){
        SceneData.OnBoostUp.Invoke();
    }
    public void OnBoostDown(){
        SceneData.OnBoostDown.Invoke();
    }
}


public static class SceneData{
    public static GameObject localPlayer;
    public static SceneDataHolder holder;
    public static MinigameManager GameManager;
    public static UnityEvent OnBoostDown = new UnityEvent();
    public static UnityEvent OnBoostUp = new UnityEvent();
}